Referencia
Estadísticas
Métricas de uso del programa.
GET
/api/v2/statistics/revenueAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Query Parameters
companyId?integer
Filter by companyId
templateId?integer
Filter by templateId
startDate?string
Start date (format Y-m-d)
Format
dateDefault
nullendDate?string
End date (format Y-m-d)
Format
dateDefault
nullResponse Body
application/json
curl -X GET "https://example.com/api/v2/statistics/revenue?companyId=123&templateId=123"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": { "totalCost": 0.1, "revenueTotal": 0.1, "revenueByDay": [ { "date": "string", "value": 0.1 } ], "roi": 0.1, "roiByDay": [ { "date": "string", "value": 0.1 } ], "ltv": 0.1 }}GET
/api/v2/templates/{templateId}/statistics/rewardsAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
templateId*string
Query Parameters
startDate?string
Start date (format Y-m-d)
Format
dateDefault
nullendDate?string
End date (format Y-m-d)
Format
dateDefault
nullResponse Body
application/json
curl -X GET "https://example.com/api/v2/templates/string/statistics/rewards"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": [ {} ]}GET
/api/v2/templates/{templateId}/statistics/utmAuthorization
ApiKeyAuth X-API-Key<token>
In: header
Path Parameters
templateId*string
Query Parameters
startDate?string
Start date (format Y-m-d)
Format
dateDefault
nullendDate?string
End date (format Y-m-d)
Format
dateDefault
nullResponse Body
application/json
curl -X GET "https://example.com/api/v2/templates/string/statistics/utm"{ "responseId": "ed662de2-39c1-4e7d-a6bf-6980511adfaf", "createdAt": "2019-08-24T14:15:22Z", "code": 0, "data": [ {} ]}